SQOOP-LIST-DATABAS(1)

NAME
sqoop-list-databases - List databases available on a server.

SYNOPSIS

sqoop-list-databases <generic-options> <tool-options>

sqoop list-databases <generic-options> <tool-options>

DESCRIPTION

List databases present on a server.

OPTIONS

The --connect option is required.

  Database connection and common options

--connect (jdbc-uri)
    Specify JDBC connect string (required)

--connection-manager (class-name)
    Specify connection manager class name (optional)

--driver (class-name)
    Manually specify JDBC driver class to use

--connection-param-file (filename)
    Optional properties file that provides connection parameters

--hadoop-home (dir)
    Override $HADOOP_HOME

--help
    Print usage instructions

--password (password)
    Set authentication password (Note: This is very insecure. You should use -P instead.)

-P
    Prompt for user password

--username (username)
    Set authentication username

--verbose
    Print more information while working

COMPATIBILITY

This operation is only compatible with HSQLDB, MySQL and Oracle. When using with Oracle, it is necessary that the user connecting to the database has DBA privileges.

ENVIRONMENT

See sqoop(1)

AUTHOR

Sqoop Team
    Author.